@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.container {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  /* ビューポートの高さを最低限確保 */
}

#header-container {
  position: fixed;
  top: 0;
  left: 0;
  height: 10%;
  width: 100%;
  background: rgba(255, 255, 255, 0.8);
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 30px;
  z-index: 10000;
  transition: all 0.3s ease-in-out;
}

/* ロゴを左寄せ、固定し、サイズを調整 */
#header .logo {
  position: absolute;
  left: 10%;
  top: 50%;
  transform: translateY(-50%);
  width: 250px;
  height: auto;
  z-index: 10002;
}

#navi {
  position: absolute;
  right: 10%;
  /* 右端に固定 */
  top: 50%;
  /* ヘッダーの中央 */
  transform: translateY(-50%);
  display: flex;
  gap: 30px;
  align-items: center;
  z-index: 10001;
  background-color: transparent;
}

/* メニューリンクのスタイル */
#navi a {
  color: black;
  font-size: 16px;
  font-weight: bold;
  text-decoration: none;
}

/* メニュー項目のホバー時のスタイル */
#navi a:hover {
  /* background-color: #FFBF00; */
  /* background-color: grey; */
  background: linear-gradient(45deg, #55c3ff 1%, #04ca28);
  box-shadow: 2px 3px 0 grey;
  color: white !important;
  padding: 8px 12px;
  border-radius: 5px;
  transition: background-color 0.3s ease, color 0.1s ease;
}

.navi-in>ul {
  justify-content: end;
}

#header-video {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  /* object-fit: cover; */
  z-index: -1;
}

.hvn-header video {
  object-fit: none !important;
}

/* 動画の上にテキストを配置 */
#header-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: white;
  font-size: 24px;
  font-weight: bold;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
  z-index: 1000;
}

#header-catch {
  position: absolute;
  top: 50%;
  left: 30%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: white;
  font-size: 24px;
  font-weight: bold;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
  z-index: 1000;
}

/* キャッチコピーの見出し */
#header-catch h1 {
  font-size: 48px;
  margin-bottom: 10px;
}

/* サブテキスト */
#header-catch p {
  font-size: 20px;
}

/* パンくずリスト削除 */
#breadcrumb {
  display: none;
}

/* ページタイトル */
.body .entry-title {
  margin-top: 50px;
}

/* ページ作成日更新日 */
.date-tags {
  display: none;
}

/* スマホ用のメニュー（初期状態で非表示） */
#navi-menu-content {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  background: white;
  text-align: center;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  z-index: 1010;
}

/* スマホ用メニューのリスト */
#navi-menu-content {
  position: fixed;
  top: 70px;
  background: rgba(255, 255, 255, 0.8);
  text-align: end;
  z-index: 10500;
}

#navi-menu-content ul {
  background: rgba(255, 255, 255, 0.8);
  list-style: none;
  padding: 0;
  margin: 0;
}

#navi-menu-content li {
  padding: 15px 20px;
  border-bottom: 1px solid #ddd;
}

#navi-menu-content a {
  color: black;
  text-decoration: none;
  font-size: 18px;
  cursor: pointer;
}

#navi-menu-content a:hover {
  color: #4caf50;
  font-weight: bold;
  background-color: white;
  padding: 5px;
  border-radius: 5px;
}

/* ヘッダーメニュー押下時 */
#overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1000;
}

#overlay.hidden {
  display: none;
}

aside {
  height: 0;
}


/* お知らせ一覧（フロントページ） */
#news-info_wrapper {
  background-color: white;
  box-shadow: 0px 3px 6px grey;
  border-radius: 10px;
  margin: 20px 0;
  padding: 10px 20px;
}

.news-li {
  list-style: none;
  display: flex;
}

.news-date {
  align-content: center;
  margin-right: 20px;
  white-space: nowrap;
}

.news-title {
  align-content: center;
  margin-right: 20px;
  font-weight: bold;
  white-space: nowrap;
}

.news_content {
  display: inline-flex;
  min-width: 0;
  overflow: hidden;
  text-overflow: ellipsis;
}

#news_read_more {
  text-align: right;
  margin-bottom: 120px;
}

.news-category {
  display: block;
  align-content: center;
  text-align: center;
  color: #fff;
  opacity: 0.8;
  width: 100px;
  height: min-content;
  font-size: 11px;
  font-weight: bold;
  padding: 0px 10px;
  border-radius: 10px;
  margin: 3px 20px 5px 0;
  white-space: nowrap;
}

#related-entries {
  display: none;
}

/* TOPへ戻るボタン */
.go-to-top-button {
  background-color: #55c3ff;
  background-image: linear-gradient(0deg, #04ca28, transparent);
}

#go-to-top :hover {
  margin-bottom: 3px;
}

/* footer */
#footer {
  display: none;
}

.site-footer {
  background: url('./images/footer.png') no-repeat center center;
  background-size: cover;
  max-height: fit-content;
  color: #fff;
  padding: 30px 20px;
  text-align: center;
  font-size: 14px;
  position: relative;
  margin-top: auto;
  flex: 1;
}

.footer-content {
  max-width: 1100px;
  margin: 0 auto;
}

.footer-logo {
  font-size: 24px;
  font-weight: bold;
}

.footer-address {
  margin-top: 10px;
  font-size: 14px;
  opacity: 0.8;
}

.footer-menu {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 30px;
  margin-top: 20px;
}

.footer-menu ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-menu li {
  margin: 5px 0;
}

.footer-menu a {
  color: #fff;
  text-decoration: none;
}

.footer-line {
  width: 80%;
  height: 1px;
  background: #fff;
  margin: 30px auto;
  opacity: 0.5;
}

.footer-bottom-typo {
  font-size: 12px;
  color: #fff;
  opacity: 0.7;
}


/* テーブル */
.body table td {
  padding: 15px 10px;
  width: 30px;
  font-size: 12px;
}

/* MAP */
iframe {
  width: 100%;
}

/* 過去投稿なし */
.body .pager-post-navi {
  display: none;
}

.wp-block-separator {
  margin: 0 auto;
  width: 60%;
}

/* モバイル用メニュー */
.mobile-menu-buttons {
  display: none;
}








/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px) {

  /*必要ならばここにコードを書く*/
  #header .logo {
    position: absolute;
    left: 5%;
    top: 50%;
    transform: translateY(-50%);
    width: 200px;
    height: auto;
    z-index: 10002;
  }
}

/*834px以下*/
@media screen and (max-width: 834px) {

  #header .logo {
    position: absolute;
    left: 5%;
    top: 50%;
    transform: translateY(-50%);
    width: 200px;
    height: auto;
    z-index: 10002;
  }

  /*必要ならばここにコードを書く*/
  #header-catch {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: white;
    font-size: 24px;
    font-weight: bold;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
    z-index: 1000;
  }

  /* キャッチコピーの見出し */
  #header-catch h1 {
    font-size: 24px;
    white-space: nowrap;
    margin-bottom: 10px;
  }

  /* サブテキスト */
  #header-catch p {
    font-size: 10px;
  }

  #hamburger {
    position: fixed;
    top: 30px;
    right: 15px;
    width: 40px;
    scale: 0.8;
    cursor: pointer;
    transition: transform 0.3s ease;
    z-index: 11100;
  }

  #hamburger span {
    display: block;
    width: 100%;
    height: 4px;
    background-color: black;
    margin: 6px 0;
    transition: 0.3s;
  }

  #hamburger.active span:nth-child(1) {
    transform: translateY(10px) rotate(45deg);
  }

  #hamburger.active span:nth-child(2) {
    opacity: 0;
  }

  #hamburger.active span:nth-child(3) {
    transform: translateY(-10px) rotate(-45deg);
  }
}

/*480px以下*/
@media screen and (max-width: 480px) {
  #header .logo {
    position: absolute;
    left: 5px;
    top: 50%;
    transform: translateY(-50%);
    width: 150px;
    height: auto;
    z-index: 10002;
  }

  .body .entry-title {
    margin-top: 20px;
  }

  #hamburger {
    position: fixed;
    top: 15px;
    right: 15px;
    width: 40px;
    scale: 0.8;
    cursor: pointer;
    transition: transform 0.3s ease;
    z-index: 11100;
  }

  /* お知らせ一覧 */
  .news-ul {
    display: contents;
  }

  #news-info_wrapper {
    background-color: white;
    box-shadow: 0px 3px 6px grey;
    border-radius: 10px;
    margin-bottom: 10px;
    padding: 5px 10px;
    margin-left: 0px;
  }

  .news-li {
    list-style: none;
    display: flow-root;
  }
}